FAQ
Hi

It gives me great pleasure to announce the second development release of
the next major version of Catalyst.

The changes from the previous PSGI development release include merging
all changes of the non-PSGI releases 5.80031 and 5.80032, much improved
upgrading documentation, and fixes for various test failures. See the
end of this mail for the full changelog.

This is a development release, and we need people to start trying to use
it _NOW_, and to tell us about the issues you find with your real world
applications. Otherwise we're going to be unable to fix those issues
before a final release.

There are still some known problems with the current release, and the
upgrading documentation is at this stage anything but complete.
However, we have been working hard to keep this release as compatible as
possible with previous versions, and the documentation for upgrading
will greatly improve before the final version..

Known issues:
* lighttpd versions below 1.4.23 are known to be broken (this should be able to
be worked around using Plack::Middleware::LighttpdScriptNameFix - we would love
some people using earlier versions of lighttpd to help test this)
* IIS6 is believed to be broken (fix will be forthcoming - please shout up if
you will be able to test this for us).

Other than this list of known issues, everything should continue working
as it did beforehand for all users (including current users of
Catalyst::Engine::PSGI). You shouldn't have to do _anything_ to upgrade
to the new release, other than ensure your application scripts (as
generated by catalyst.pl) to use the Catalyst::Script:: classes.

Please test the release out and let us know how you get on.

The release can be found at:
http://search.cpan.org/~flora/Catalyst-Runtime-5.89001-TRIAL/

Please report your successes (and/or failures) to the list, or come find
us on irc. We'll be trying to get a new dev release out every couple of
weeks now until people stop finding issues..

Thanks in advance


--
5.89001 2011-03-01 15:27:00 (TRIAL release)

Bug fixes:
- Fixed command-line argument passing in Catalyst::Script::FastCGI.

- Fixed Catalyst::Engine::Stomp compatibility. Applications using
Catalyst::Engine::Stomp are believed to continue working without
any changes with the new Catalyst major version.

- Fixed issues auto-loading engine with older scripts.

Known problems:
- Catalyst::Engine::Wx is officially unsupported and BROKEN. If you
are using this engine then please get in touch with us and we'll
be happy to help with the changes it needs to be compatible with
the new major version of Catalyst.

Documentation:
- The section of Catalyst::Upgrading describing how to upgrade to version 5.90
of Catalyst has been much improved.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: not available
Url : http://lists.scsys.co.uk/pipermail/catalyst/attachments/20110301/0871b6ad/attachment.pgp

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcatalyst @
categoriescatalyst, perl
postedMar 1, '11 at 7:16p
activeMar 1, '11 at 7:16p
posts1
users1
websitecatalystframework.org
irc#catalyst

1 user in discussion

Florian Ragwitz: 1 post

People

Translate

site design / logo © 2021 Grokbase